<?php
require_once(ROOTDIR."/include/database/class.BanQueries.php");

$banQueries = new BanQueries();
$bannedUsers = $banQueries->downloadActiveBans(true, false);

// Cycle through each user and create the keygroup
foreach($bannedUsers as $bannedUser) {
  
  $now = time();  // In seconds
  $expireDateSeconds = $bannedUser->getExpireDateSeconds();
  
  $banTime = 0;
  
  // Determine how much longer the ban is based on the expire date
  if($expireDateSeconds > 0) {
    $banTime = $now - $expireDateSeconds;
  }

  if($banTime > -1) {
    echo "banid ".floor(($banTime/60))." ".$bannedUser->getSteamId()."\n";
  }
}
?>